# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::FBODepthBufferAttachment Class Reference

A depth renderbuffer to be attached to a framebuffer object rendering target (FBORenderTarget). More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBODepthBufferAttachment:

List of all members.

## Public Member Functions
| FBODepthBufferAttachment (EDepthType type)
virtual const char * | className ()
| Returns the name of the class.
void | setType (EDepthType type)
| Defines the type to specify when allocating the renderbuffer storage. Note that this function schedules a reallocation of the renderbuffer storage.
EDepthType | type () const
void | bindAttachment (int w, int h, EAttachmentPoint attach_point)
| Binds this renderbuffer to the currently active framebuffer object (GL_FRAMEBUFFER).
## Protected Member Functions
virtual int | internalType ()
## Protected Attributes
EDepthType | mType

## Detailed Description

A depth renderbuffer to be attached to a framebuffer object rendering target (FBORenderTarget).

Supports GL_EXT_framebuffer_multisample.

## Constructor & Destructor Documentation

vl::FBODepthBufferAttachment::FBODepthBufferAttachment | ( | EDepthType | type | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::FBODepthBufferAttachment::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::FBORenderbufferAttachment.

void vl::FBODepthBufferAttachment::setType | ( | EDepthType | type | ) | `[inline]`

Defines the type to specify when allocating the renderbuffer storage. Note that this function schedules a reallocation of the renderbuffer storage.

EDepthType vl::FBODepthBufferAttachment::type | ( |  | ) | const`[inline]`

void vl::FBODepthBufferAttachment::bindAttachment | ( | int | w,
|  | int | h,
|  | EAttachmentPoint | attach_point |
| ) |  |  | `[inline, virtual]`

Binds this renderbuffer to the currently active framebuffer object (GL_FRAMEBUFFER).

This function also initializes its storage if 'w' and 'h' differ from the renderbuffer's current width() and height() and the renderbuffer is not a texture.

Implements vl::FBOAttachmentAbstract.

virtual int vl::FBODepthBufferAttachment::internalType | ( |  | ) | `[inline, protected, virtual]`

Implements vl::FBORenderbufferAttachment.

## Member Data Documentation

EDepthType vl::FBODepthBufferAttachment::mType`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/FramebufferObject.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:46 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.